Add to Basket Compare Quick view Cisco WS-X6816-GBIC - Cisco Catalyst 6500 16 Port Gigabit Ethernet Module 2 fab I F Req GBICs DFC DFC3 (Refurbished) MSRP: £779.02 Now: £649.18 Inc. VAT Was: MSRP: £649.18 Now: £540.98 Ex. VAT Was: Cisco Catalyst 6500 16 Port Gigabit Ethernet Module 2 fab I F Req GBICs DFC DFC3 (Refurbished) Mfr P/N WS-X6816-GBIC MSRP: £779.02 Now: £649.18 Inc. VAT Was: MSRP: £649.18 Now: £540.98 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-X6148A-GE-45AF - Cisco Catalyst 6500 48Port PoE 802.3af 10/100/1000 With Jumbo Frame (Refurbished) MSRP: £3,875.98 Now: £3,229.98 Inc. VAT Was: MSRP: £3,229.98 Now: £2,691.65 Ex. VAT Was: Cisco Catalyst 6500 48Port PoE 802.3af 10/100/1000 With Jumbo Frame (Refurbished) Mfr P/N WS-X6148A-GE-45AF MSRP: £3,875.98 Now: £3,229.98 Inc. VAT Was: MSRP: £3,229.98 Now: £2,691.65 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-C3750G-24T-S - Cisco Catalyst 3750 24-Port Managed Layer-3 Gigabit Ethernet Network Switch + 4 SFP Standard Multilayer 1U Rackmountable (Refurbished) MSRP: £558.23 Now: £465.19 Inc. VAT Was: MSRP: £465.19 Now: £387.66 Ex. VAT Was: WS-C3750G-24T-S - Cisco Catalyst 3750 24-Port Managed Layer-3 Gigabit Ethernet Network Switch + 4 SFP Standard Multilayer 1U Rackmountable (Refurbished) MSRP: £558.23 Now: £465.19 Inc. VAT Was: MSRP: £465.19 Now: £387.66 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Small Business SF220-48 Managed network switch L2 Fast Ethernet (10/100) Black MSRP: £793.38 Now: £661.15 Inc. VAT Was: MSRP: £661.15 Now: £550.96 Ex. VAT Was: Management featuresSwitch typeManaged network switchWeb-based managementYesSystem event logYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportRFC1213, RFC2863, RFC4188, RFC2674,... MSRP: £793.38 Now: £661.15 Inc. VAT Was: MSRP: £661.15 Now: £550.96 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-CE500G-12TC - Cisco Catalyst Express 500G-12TC Switch 8 x 10/100/1000Base-T 4 x 10/100/1000Base-T (Refurbished) MSRP: £795.16 Now: £662.63 Inc. VAT Was: MSRP: £662.63 Now: £552.19 Ex. VAT Was: Cisco Catalyst Express 500G-12TC Switch 8 x 10/100/1000Base-T, 4 x 10/100/1000Base-T (Refurbished) Mfr P/N WS-CE500G-12TC MSRP: £795.16 Now: £662.63 Inc. VAT Was: MSRP: £662.63 Now: £552.19 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Small Business SG200-10FP Managed network switch L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black MSRP: £799.63 Now: £666.36 Inc. VAT Was: MSRP: £666.36 Now: £555.30 Ex. VAT Was: Management featuresSwitch typeManaged network switchQuality of Service (QoS) supportYesMIB supportYesSwitch layerL2Ports & interfacesBasic switching RJ-45 Ethernet ports quantity8Basic switching... MSRP: £799.63 Now: £666.36 Inc. VAT Was: MSRP: £666.36 Now: £555.30 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-C3550-24PWR-EMI - Cisco Catalyst 3550 24 Ports 10/100 Inline Power + 2 GBIC Ports EMI (Refurbished) MSRP: £818.15 Now: £681.79 Inc. VAT Was: MSRP: £681.79 Now: £568.16 Ex. VAT Was: Cisco Catalyst 3550 24 Ports 10/100 Inline Power + 2 GBIC Ports EMI (Refurbished) Mfr P/N WS-C3550-24PWR-EMI MSRP: £818.15 Now: £681.79 Inc. VAT Was: MSRP: £681.79 Now: £568.16 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-X6K-S2-MSFC2 - Cisco Catalyst 6500 Engine 22GE MSFC 2PFC 2Certified (Refurbished) MSRP: £818.99 Now: £682.49 Inc. VAT Was: MSRP: £682.49 Now: £568.74 Ex. VAT Was: Cisco Catalyst 6500 Engine 22GE MSFC 2PFC 2Certified (Refurbished) Mfr P/N WS-X6K-S2-MSFC2 MSRP: £818.99 Now: £682.49 Inc. VAT Was: MSRP: £682.49 Now: £568.74 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-C4507R - Cisco Catalyst 4500 Chassis 7 Slot Fan No Power Supply Red Sup Capable (Refurbished) MSRP: £823.94 Now: £686.62 Inc. VAT Was: MSRP: £686.62 Now: £572.18 Ex. VAT Was: Cisco Catalyst 4500 Chassis 7 Slot Fan No Power Supply Red Sup Capable (Refurbished) Mfr P/N WS-C4507R MSRP: £823.94 Now: £686.62 Inc. VAT Was: MSRP: £686.62 Now: £572.18 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst 4506 Switch Rack-mountable MSRP: £5,439.91 Now: £4,533.26 Inc. VAT Was: MSRP: £4,533.26 Now: £3,777.72 Ex. VAT Was: Cisco Catalyst 4506 switch rack-mountable Wired Power over Ethernet (PoE) MSRP: £5,439.91 Now: £4,533.26 Inc. VAT Was: MSRP: £4,533.26 Now: £3,777.72 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco LS6248P - Cisco Alcatel Switch OmniStack (Refurbished) MSRP: £826.18 Now: £688.48 Inc. VAT Was: MSRP: £688.48 Now: £573.73 Ex. VAT Was: Cisco Alcatel Switch OmniStack (Refurbished) Mfr P/N LS6248P MSRP: £826.18 Now: £688.48 Inc. VAT Was: MSRP: £688.48 Now: £573.73 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco SRW2008-K9 - Cisco SRW2008 8-Port 10/1000Mbps 2 x Combo mini-GBIC Port Gigabit Managed Switch (Refurbished) MSRP: £835.82 Now: £696.52 Inc. VAT Was: MSRP: £696.52 Now: £580.43 Ex. VAT Was: Cisco SRW2008 8-Port 10/1000Mbps 2 x Combo mini-GBIC Port Gigabit Managed Switch (Refurbished) Mfr P/N SRW2008-K9 MSRP: £835.82 Now: £696.52 Inc. VAT Was: MSRP: £696.52 Now: £580.43 Ex. VAT Was: Add to Basket Compare Quick view